Name: libtai
Version: 0.60
Release: 4%{?dist}
Summary: a library for storing and manipulating dates and times

License: Public Domain
Group: System Environment/Libraries
URL: http://cr.yp.to/%{name}.html
Source0: http://cr.yp.to/%{name}/%{name}-%{version}.tar.gz
Source1: http://cr.yp.to/%{name}/leapsecs.dat
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: tzdata


%description
libtai supports two time scales: (1) TAI64, covering a few hundred billion 
years with 1-second precision; (2) TAI64NA, covering the same period with 
1-attosecond precision. Both scales are defined in terms of TAI, the 
current international real time standard. 

This version of libtai requires a UNIX system with gettimeofday(). It will 
be easy to port to other operating systems with compilers supporting 
64-bit arithmetic. Its overall UTC-to-TAI conversion speed is 100x better 
than the usual UNIX mktime() implementation.

%prep
%setup -q


%build
make


%install
rm -fR %{buildroot}

install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}

install -m 644 libtai.a %{buildroot}%{_libdir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/leapsecs.dat

for i in easter yearcal nowutc; do
	install -m 755 "$i" %{buildroot}%{_bindir}
done

install -d %{buildroot}%{_mandir}/man3
install *.3 %{buildroot}%{_mandir}/man3


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -fR %{buildroot}


%files
%defattr(-,root,root)
%doc README BLURB THANKS TODO CHANGES

%{_bindir}/*
%{_libdir}/*
%{_mandir}/*/*
%config %{_sysconfdir}/leapsecs.dat


%changelog
* Sun Sep 30 2013 Japheth Cleaver <cleaver@terabithia.org> 0.60-4
- rebuilt

* Tue Jan 29 2013 Japheth Cleaver <cleaver@terabithia.org> 0.60-3
- rebuilt
- updated leapsecs.dat file for 2011-12-31

* Thu Apr 27 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 0.60-2
- rebuild for fc5
- updated leapsecs.dat file

* Wed Nov 30 2005 Japheth Cleaver <cleaver@rohan.sdsu.edu> 0.60-1
- New package spec file

